/*------------------------------------*\
# ARTICLE SLIDER
\*------------------------------------*/

.row:has(.article-slider){
    height: fit-content;
}
.section-wrapper:has(.article-slider){
    overflow: hidden;
}
.row-category.disabled{
    display: none;
}
.article-slider{
    padding: 40px 0;
    display: flex;
    justify-content: center;
    position: relative;
    gap: 30px;
}
.owl-item:has(> .article-slider-item){
    display: flex;
}
.article-slider-item{
    display: block;
    height: 250px;
}
.article-slider-item-content{
    box-sizing: content-box;
    width: 350px;
    min-width: 350px;
    background-color: var(--white);
    border: 1px solid var(--border-color);
    padding: 10px;
    border-radius: 15px;
    transition: 400ms all cubic-bezier(.25, 0, .35, 1);
    cursor: pointer;
}
.article-slider-item .text-side{
    width: 350px;
    height: 100%;
    gap: 10px;
    padding: 10px 20px;
    justify-content: center;
    transition: 400ms all cubic-bezier(.25, 0, .35, 1);
}
.article-slider-item .article-slider-title{
    font-size: 1.25rem;
    font-weight: bold;
}
.article-slider-item .article-slider-description{
    font-size: 1rem;
    color: var(--primary-text-color);
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 6;
    line-clamp: 6;
}
.article-slider-item .image-side{
    width: 0;
    height: 100%;
    display: block;
    transition: 400ms all cubic-bezier(.25, 0, .35, 1);
    overflow: hidden;
}
.article-slider-item .image-side img{
    width: 450px;
    height: 100%;
    max-width: unset;
    max-height: unset;
    object-fit: cover;
    border-radius: 10px;
    display: block;
}
.article-slider-item:hover .article-slider-item-content{
    width: 800px;
    min-width: 800px;
    border-color: var(--light-teal-hover-dark);
    background-color: #f6faf8;
}
.article-slider-item:hover .image-side{
    width: 450px;
    pointer-events: all;
}



/*------------------------------------*\
# ARTICLE SLIDER POPUP
\*------------------------------------*/

@keyframes articleSliderPopupAnimation {
    from{ transform: translate(0, 50%); opacity: 0; }
    to{ transform: translate(0, 0); opacity: 1; }
}

.article-slider-popup-wrapper{
    width: 100%;
    height: 100%;
    position: fixed;
    display: flex;
    justify-content: end;
    top: 0;
    z-index: 100000;
    opacity: 1;
    background-color: rgba(50, 92, 92, .5);
    backdrop-filter: blur(5px);
    transition: 250ms backdrop-filter, 250ms opacity !important;
}
@starting-style{
    .article-slider-popup-wrapper{
        backdrop-filter: blur(0);
        opacity: 0;
    }
}
.article-slider-popup-wrapper.removing{
    opacity: 0;
}
.article-slider-popup-wrapper.removing .article-slider-popup{
    pointer-events: none !important;
}
.article-slider-popup{
    top: 30px;
    right: 30px;
    width: 500px;
    border-width: 10px 5px 10px 10px;
    border-style: solid;
    border-color: transparent;
    padding-right: 5px;
    border-radius: 20px;
    height: calc(100vh - 60px);
    position: relative;
    background-color: var(--white);
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    animation: articleSliderPopupAnimation 350ms cubic-bezier(.83,.18,.08,.86);
}
.article-slider-popup .close-button{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 26px;
    height: 26px;
    border: 2px solid var(--white);
    border-radius: 100%;
    position: absolute;
    top: 25px;
    right: 25px;
    z-index: 1;
    box-shadow: 0 0 10px -4px #000;
    cursor: pointer;
    transform-origin: center center;
    opacity: .75;
    transition: 250ms opacity, transform ease-out;
}
.article-slider-popup .close-button *{
    fill: #fff;
}
.article-slider-popup .close-button:hover{
    transform: scale(1.1);
    opacity: 1;
}
.article-slider-popup-img img{
    border-radius: 15px;
}
.article-slider-popup-title,
.article-slider-popup-description{
    padding: 0 10px;
    color: var(--teal);
}
.article-slider-popup-title{
    margin-top: 10px !important;
    line-height: 1;
    font-weight: bold;
}
.article-slider-bottom{
    padding-top: 20px;
    margin-top: auto;
}
.article-slider-bottom a{
    display: flex;
    align-items: center;
    font-size: 1.25rem;
}
.article-slider-bottom a:hover{
    color: var(--teal-hover);
}
.article-slider-bottom a:hover svg *{
    fill: var(--teal-hover);
}
.article-slider-bottom svg{
    height: 100%;
    margin-top: 2px;
    overflow: visible;
    margin-left: 10px;
    transition: 375ms transform cubic-bezier(.5,.1,.29,1.44);
}
.article-slider-bottom svg *{
    fill: var(--teal);
}
.article-slider-bottom a:hover svg{
    transform: translateX(5px);
}
.article-slider-bottom:hover:after{
    padding-left: 30px;
}